Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.servlet
Class HttpSessionHandler

    java.lang.Object
      org.apache.commons.jxpath.servlet.ServletContextHandler
          org.apache.commons.jxpath.servlet.HttpSessionHandler

All Implemented Interfaces:
  DynamicPropertyHandler

Direct Known Subclasses:
  ServletRequestHandler

    public class HttpSessionHandler

extends ServletContextHandler

Implementation of the `DynamicPropertyHandler` interface that provides access to attributes of a @{link HttpSession}.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`HttpSessionHandler()`

Method Summary
`protected void` | `collectPropertyNames(HashSet set, Object bean)` Collect the property names from bean, storing in set.
`Object` | `getProperty(Object bean, String property)` Returns the value of the specified dynamic property.
`void` | `setProperty(Object bean, String property, Object value)` Modifies the value of the specified dynamic property.

Methods inherited from class org.apache.commons.jxpath.servlet.ServletContextHandler
`getPropertyNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpSessionHandler

    public HttpSessionHandler()

Method Detail

### collectPropertyNames

    protected void collectPropertyNames(HashSet set,
                                        Object bean)

  Description copied from class: `ServletContextHandler`
  Collect the property names from bean, storing in set.

  Overrides:
    `collectPropertyNames` in class `ServletContextHandler`
  Parameters:
    `set` - destination
    `bean` - to read

### getProperty

    public Object getProperty(Object bean,
                              String property)

  Description copied from interface: `DynamicPropertyHandler`
  Returns the value of the specified dynamic property.

  Specified by:
    `getProperty` in interface `DynamicPropertyHandler`
  Overrides:
    `getProperty` in class `ServletContextHandler`
  Parameters:
    `bean` - to search
    `property` - to retrieve
  Returns:
    Object

### setProperty

    public void setProperty(Object bean,
                            String property,
                            Object value)

  Description copied from interface: `DynamicPropertyHandler`
  Modifies the value of the specified dynamic property.

  Specified by:
    `setProperty` in interface `DynamicPropertyHandler`
  Overrides:
    `setProperty` in class `ServletContextHandler`
  Parameters:
    `bean` - to modify
    `property` - to modify
    `value` - to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.